<cfinclude template = "../queries/qryCompanyInfo.cfm">
<cfset PayMethod = "Info Unavailable">

<cfoutput>
  <div align = "center"> <b>
    <h3 align="left">Order Number #Url.OrderNumber#</h3>
    </b> </div>
</cfoutput>

<cfquery name = "qryCustomers" datasource = "#Request.DSN#">
SELECT * FROM CustomerHistory
WHERE CustomerID = #URL.CustomerID#
</cfquery>

<cfquery name = "QryOrders" datasource = "#Request.DSN#">
SELECT * FROM Orders
WHERE OrderNumber = '#url.OrderNumber#'
</cfquery>

<cfoutput query="QryOrders">
<div>
<blockquote> 
      <b>Order Summary:</b></p>
      </blockquote>
    <div align="center"> 
      <center>
        <table width="90%" border="1" cellspacing="0" cellpadding="3" style="border-collapse: collapse" bordercolor="##111111">
          <tr class="TableTitles"> 
            <td width="50%" height="19" style="border-color:##000000; border-width:1; " > 
              <b>Name</b></td>
            <td width="25%" height="19" style="border-color:##000000; border-width:1; " ><p align="center"> 
                <b>Quantity</b></p></td>
            <td width="25%" height="19" align="center" style="border-color:##000000; border-width:1; " > 
              <b>Price</b></td>
          </tr>
          <cfloop index="IndexCount" from="1" To="#ListLen(CrtProductID, "^")#">
             <tr> 
                <td width="50%" style="border-color:##000000; border-width:1; " valign="middle">
					<cfset ThisID = #ListGetAt(CrtItemID, IndexCount, "^")#>
              #ListGetAt(CrtProductID, IndexCount, "^")# - #ListGetAt(CrtProductName, 
              IndexCount, "^")#</td>
                <td width="25%" style="border-color:##000000; border-width:1; " valign="middle"> 
                  <p align="center"> #ListGetAt(CrtQuantity, IndexCount, "^")#</p></td>
                <td width="25%" align="right" style="border-color:##000000; border-width:1; "> 
					<cfset TotalOfItems = #ListGetAt(CrtPrice, IndexCount, "^")#>
					<cfif CartVar.UseEuro IS 'Yes'>
                    <div align="right">#lseurocurrencyformat(TotalOfItems, "Local")# 
                      <cfelse>
                      #lscurrencyformat(TotalOfItems, "Local")#</div>
                  </cfif></td>
              </tr>
          </cfloop>
          </tr>
          <tr> 
            <td height="15" colspan="2" style="border-style: none"><div align="right">Taxes:</div></td>
            <td height="15" align="right" style="border-color:##000000; border-width:1; "><strong>
				<cfif CartVar.UseEuro IS 'Yes'>#LSEuroCurrencyformat(FiguredTax, "Local")#
				<cfelse>#LSCurrencyformat(FiguredTax, "Local")#</cfif>
			</td>
          </tr>
          <tr> 
            <td width="88%" height="15" colspan="2" style="border-style: none"> 
              <p align="right">Shipping &amp; Handling: </td>
            <td width="20%" height="15" align="right" style="border-color:##000000; border-width:1; ">
				<cfif CartVar.UseEuro IS 'Yes'>#LSEuroCurrencyformat(QuotedShipping, "Local")#
				<cfelse>#LSCurrencyformat(QuotedShipping, "Local")#</cfif>
			</td>
          </tr>
          <tr> 
            <td width="88%" height="15" colspan="2" style="border-style: none"> 
              <p align="right"><b>Total:</b></p></td>
            <td width="20%" height="15" align="right" style="border-color:##000000; border-width:1; "><b> 
                <cfif CartVar.UseEuro IS 'Yes'>
                  #lseurocurrencyformat(OrderTotal, "Local")# 
                  <cfelse>
                  #lscurrencyformat(OrderTotal, "Local")# 
                </cfif>
                </b></td>
          </tr>
        </table>
      </center>
    </div>
<cfset ThePaymentMethod = #PaymentMethod#>
</cfoutput>
<p>
<cfoutput query = "qryCustomers">
    <table width="90%" border="1" align="center" cellpadding="4" cellspacing="0">
      <tr> 
        <td height="15" Class="TableTitles"><strong>Billing Information</strong></td>
        <td height="15" valign="top" Class="TableTitles"><strong>Ship Order To:</strong></td>
      </tr>
      <tr> 
        <td height="15">#FirstName# #LastName#<br> #BusinessName# #address#<br> #city#, #State# &nbsp;&nbsp; #ZipCode#<br> #Country#<br> <p> <b>Email Address:</b> #EmailAddress#<br>
            <b> Phone Number:</b> #PhoneNumber# <br>
          </p>
          <p>&nbsp; </p></td>
        <td width="48%" height="15" valign="top">#qryOrders.ShippedTo#</td>
      </tr>
      <tr> 
        <td height="15" colspan="2" Class="TableTitles"><strong>Order Notes:</strong></td>
      </tr>
      <tr> 
        <td height="15" colspan="2">#qryOrders.Memo#</td>
      </tr>
    </table>
</cfoutput>
</div>

<blockquote>
<cfoutput>
<h4>Payment Method:  
    <cfif ThePaymentMethod IS 'CheckOrMoneyOrder'>
      
<cfset PayMethod = "Sending Check or Money order">
</cfif>
    <cfif ThePaymentMethod IS 'CreditCard'>
      
<cfset PayMethod = "Credit Card">
</cfif>
    <cfif ThePaymentMethod IS 'PayPalcheckout'>
      
<cfset PayMethod = "Paid with PayPal">
</cfif>
#PayMethod#</h4>
</cfoutput>
<p>
<cfif ThePaymentMethod IS 'CreditCard'>
<cfoutput query="QryCustomers">
<h3>Credit Card Information:</h3>
Type:  #CreditCardType#<br>
Number:  #CreditCardNumber#<br>
Exp:  #CreditCardExpire#<br>
CardCode:  #CCconfirmationNumber#
</cfoutput>
</cfif>
</p>
<p>
</p>